<template>
  <div class="flex emblem container">
    <div ref="spinner" class="spinner" :style="styleObject">
      <img :src="getImage('am-emblem.svg')" alt="Devil icon" ref="spinner" />
    </div>
  </div>
</template>

<script>
export default {
  created() {
    window.addEventListener("scroll", this.handleScroll);
  },
  props: {
    spinner: String
  },
  data() {
    return {
      styleObject: {
        transform: null,
        "z-index": 20
      }
    };
  },
  methods: {
    getImage(path) {
      return require(`@/assets/img/${path}`);
    },
    handleScroll() {
      if (window.innerWidth >= 743) {
        this.styleObject.transform =
          "rotate(" + window.pageYOffset / 2 + "deg)";
      } else {
        this.styleObject.transform = null;
      }
    }
  }
};
</script>

<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables";

.emblem {
  margin: 0 auto;
  width: 100%;
  // justify-content: flex-end;
  max-width: 4.5rem;
  padding-top: 1.5rem;
  @media all and (min-width: 600px) {
    // padding-top: 14rem;
    padding-top: 2rem;
    padding-right: 2.5rem;
    max-width: 7.9rem;
  }
  @media all and (min-width: 1024px) {
    max-width: 11.6rem;
    padding-right: 4rem;
  }
  @media all and (min-width: $intro-midbreak) {
    padding-right: 8rem;
    max-width: 19rem;
  }
}
</style>
